Symfony2

Sonata Bundle pour Symfony2 version 2.0.X

Dans mes posts je vais essayer d’être concis et précis

Si vous utilisez les bundles de Sonata vous avez sans doute remarqué que la branche "master" du dépôt pointait vers la version 2.1 de Symfony2.

Voilà la solution pour continuer d'utiliser les bundles avec la version stable de 2.0.X

Dans votre fichier deps:

[SonataAdminBundle]
    git=http://github.com/sonata-project/SonataAdminBundle.git
    target=/bundles/Sonata/AdminBundle
    version=origin/2.0

[SonataDoctrineORMAdminBundle]
    git=http://github.com/sonata-project/SonataDoctrineORMAdminBundle.git
    target=/bundles/Sonata/DoctrineORMAdminBundle
    version=origin/2.0

[SonataMediaBundle]
    git=http://github.com/sonata-project/SonataMediaBundle.git
    target=/bundles/Sonata/MediaBundle
    version=origin/2.0

puis exécuter la commande pour réinstaller vos bundles:

$ bin/vendors install --reinstall

et voilà j'espère que ce post vous aidera à gagner 1 à 2 h "d'arrachage de cheveux" :-)

Subscribe to RSS - Symfony2